Payments & FinancePayments
Update payment methods
Replaces the store's payment method settings with the supplied list; omitted settings are removed.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://api.ecomiq.pe/api/v1/payments/methods" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "items": [ { "code": "POL-001", "isActive": true, "sortOrder": 1, "processingMode": "manual", "connectionId": "7204558912004329542", "providerMethodCode": "POL-001", "phoneNumber": "+51987654321", "accountHolder": "Mi tienda" } ] }'Empty